## org.w3c.jigadmin.attributes
Class PasswordAttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadmin.attributes.PasswordAttributeEditor

public class PasswordAttributeEditor
extends AttributeEditor

Field Summary
`protected javax.swing.JFrame` `frame`
`protected java.lang.String` `name`
`protected javax.swing.JButton` `widget`

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`PasswordAttributeEditor()`

Method Summary
`void` `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`protected void` `dispose()`
`java.awt.Component` `getComponent()` get the Component created by the editor.
`java.lang.Object` `getValue()` Get the current value of the edited value
`boolean` `hasChanged()` Tells if the edited value has changed
`void` `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`protected void` `popupDialog()`
`void` `resetChanges()` reset the changes (if any)
`protected void` `setText(java.lang.String s)`
`void` `setValue(java.lang.Object o)` Set the value of the edited value

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### widget

    protected javax.swing.JButton widget

### frame

    protected javax.swing.JFrame frame

Constructor Detail

### PasswordAttributeEditor

    public PasswordAttributeEditor()

Method Detail

### dispose

    protected void dispose()

### popupDialog

    protected void popupDialog()

### setText

    protected void setText(java.lang.String s)

### hasChanged

    public boolean hasChanged()

  Description copied from interface: AttributeEditorInterface
  Tells if the edited value has changed
  See Also:
    `AttributeEditorInterface`

### clearChanged

    public void clearChanged()

  Description copied from interface: AttributeEditorInterface
  set the current value to be the original value, ie: changed must return false after a reset.
  See Also:
    `AttributeEditorInterface`

### resetChanges

    public void resetChanges()

  Description copied from interface: AttributeEditorInterface
  reset the changes (if any)
  See Also:
    `AttributeEditorInterface`

### getValue

    public java.lang.Object getValue()

  Description copied from interface: AttributeEditorInterface
  Get the current value of the edited value
  See Also:
    `AttributeEditorInterface`

### setValue

    public void setValue(java.lang.Object o)

  Description copied from interface: AttributeEditorInterface
  Set the value of the edited value
  See Also:
    `AttributeEditorInterface`

### getComponent

    public java.awt.Component getComponent()

  Description copied from class: AttributeEditor
  get the Component created by the editor.
  Overrides:
    getComponent in class AttributeEditor
  Tags copied from class: AttributeEditor
  Returns:
    a Component

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.